bzr(1) has unwanted line at start

Bug #242106 reported by Ralph Corderoy on 2008-06-22
4
Affects Status Importance Assigned to Milestone
Bazaar
Low
James Westby
bzr (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: bzr

Ubuntu 8.04, bzr 1.3.1-1ubuntu0.1.

    $ zcat /usr/share/man/man1/bzr.1.gz | head
    Man page for Bazaar (bzr)
    .\"
    .\" Large parts of this file are autogenerated from the output of
    .\" "bzr help commands"
    .\" "bzr help <cmd>"
    .\"
    .\" Generation time: 2008-05-30 17:18:39 +0000
    .\"
    .TH bzr 1 "2008\-05\-30" "1.3.1" "Bazaar"
    .SH "NAME"
    $

The first line appears in the output of `man bzr' and also stops

    $ man -k bzr
    Bazaar (bzr) (1) [bzr] - (unknown subject)
    bzr (1) - (unknown subject)
    $

from working properly. It looks like it simply shouldn't be there.

Old_Soldier (charles.davis) wrote :

Confirming that this behavior exists in bzr on Hardy

Changed in bzr:
status: New → Confirmed
David Futcher (bobbo) wrote :

Looks liek this can be fixed by commenting out the very first line. Attached is a patch to fix this.

Changed in bzr:
assignee: nobody → bobbo
status: New → Confirmed
assignee: bobbo → nobody
Kurt Litsch (kurt.litsch) wrote :

Debdiff applying David's patch.

Alexander Sack (asac) wrote :

could you work add that patch into debian/patches/ ? and also adapt that patch to apply cleanly to the latest intrepid version? since we are at 1.6-1 you would need to ubuntunize maintainer fields too.

At best provide a bzr branch so we can just merge and upload it. the packaging branch is at http://bzr.debian.org/pkg-bazaar/bzr/unstable.

Alexander Sack (asac) wrote :

incomplete: read comment i dropped above.

Changed in bzr:
status: Confirmed → Incomplete

Sorry, but I don't fix the patch is the correct fix for this bug. Having dug a little I find the man pages are created at build time, thus it is the program used to build them that should be fixed rather than the output of the program being patched up.

The program is tools/doc_generate/autodoc_man.py. A bug was introduced in revno 1551.3.11.

    revno: 1551.3.11
    committer: Aaron Bentley <email address hidden>
    branch nick: bzr.ab
    timestamp: Tue 2006-02-07 16:40:33 -0500
    message:
      Merge from Robert

The changes include

     man_preamble = """\
    -.\\\" Man page for %(bzrcmd)s (bazaar-ng)
    +Man page for %(bzrcmd)s (bazaar-ng)
     .\\\"
     .\\\" Large parts of this file are autogenerated from the output of
     .\\\" \"%(bzrcmd)s help commands\"

which altered the first line of the produced man page so it isn't a troff comment. All that needs to happen is same six characters that start the "Large parts" line should be prefixed once again to the "Man page" line.

James Westby (james-w) wrote :

Hi,

I don't see a reason to upload this as a patch to Ubuntu. This bug is already
against bzr, and any patch can just be applied there.

For bzr we work very carefully to do the work in Debian and sync across, and
only work directly in Ubuntu where things like freezes prevent that.

In this case I see no reason to upload directly for this small bug. I'll put up
a fix directly to bzr now.

Thanks,

James

Changed in bzr:
assignee: nobody → james-w
importance: Undecided → Low
status: Confirmed → In Progress

Fixing the generator program would also fix this problem in all the man
pages it produces, not just the one I raised the bug on.

James Westby (james-w) wrote :

Hi,

The patch has been sent to the bzr mailing list for review.

Thanks,

James

Changed in bzr:
status: In Progress → Fix Committed
Alexander Sack (asac) wrote :

On Tue, Sep 16, 2008 at 12:02:28PM -0000, James Westby wrote:
> Hi,
>
> I don't see a reason to upload this as a patch to Ubuntu. This bug is already
> against bzr, and any patch can just be applied there.
>
> For bzr we work very carefully to do the work in Debian and sync across, and
> only work directly in Ubuntu where things like freezes prevent that.
>

OK James. I'll leave it to you then. Maybe consider to unsubscribe the
main sponsors team to make this disappear from our sponsoring list :).

Cheers,

 - Alexander

James Westby (james-w) wrote :

> OK James. I'll leave it to you then. Maybe consider to unsubscribe the
> main sponsors team to make this disappear from our sponsoring list :).

I would if I was a main sponsor :-)

Thanks,

James

Changed in bzr:
importance: Undecided → Low
status: Incomplete → Triaged

I'm unsubscribing the Sponsors' Team for now. Please re-subscribe when ready.

Jelmer Vernooij (jelmer) on 2009-01-28
Changed in bzr:
status: Fix Committed → Fix Released
James Westby (james-w) on 2010-05-13
Changed in bzr (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers